#! /usr/bin/perl

($dir) = @ARGV;

if ($dir eq "") {
	$dir = "./";
}

if (($dir =~ m/\/$/) == 0) {
	die "Directories must end in a slash /\n";
}

$head = "file";
$tail = ".html";

for ($i = 1; $i <= 1000; $i++) {
	$filename = $dir . $head . $i . $tail;

	open(FILE,">${filename}");
	print FILE qq|<html>\n<head><title>Little File</title></head>\n<body bgcolor="#FFFFFF">\n<h2>File ${i}</h2>\n</body>\n</html>\n\n|;
	close(FILE);
}

for ($i = 1001; $i <= 2000; $i++) {
	$filename = $dir . $head . $i . $tail;

	open(FILE,">${filename}");
	print FILE qq|<html>\n<head><title>Big File</title></head>\n<body bgcolor="#FFFFFF">\n<pre>\n|;

	for ($j = 0; $j < 625; $j++) {
		print FILE qq|+++++++++++++++++++++++++++FILLER++++++++++++++++++++++++++++++++\n|;
	}

	print FILE qq|</pre>\n</body>\n</html>\n\n|;

	close(FILE);
}
